/***************************************************************************
    copyright            : (C) 2003 by Arnold Krille
    email                : arnold@arnoldarts.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; version 2 of the License.               *
 *                                                                         *
 ***************************************************************************/

#ifndef KREC_CONFIGURE_FILES_H
#define KREC_CONFIGURE_FILES_H

#include <tdecmodule.h>
#include <tqstringlist.h>
#include <tqstring.h>

class TQBoxLayout;
class TQRadioButton;
class TQButtonGroup;
class TQLineEdit;
class TQHBox;
class TQLabel;

class KRecConfigFilesWidget;

class KRecConfigFiles : public TDECModule {
   Q_OBJECT
  
public:
	KRecConfigFiles( TQWidget*, const char* =0, const TQStringList& = TQStringList() );
	~KRecConfigFiles();

	void load();
	void save();
	void defaults();
private slots:
	void ratechanged( int );
	void channelschanged( int );
	void bitschanged( int );
	void usedefaultschanged( bool );

private:
	TQBoxLayout *_layout;
	KRecConfigFilesWidget *_filewidget;
};

#endif

// vim:sw=4:ts=4
